> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Service API Key

> Provision a service API key for an Organization in the Enterprise

Requires an enterprise admin personal API key.

Creates a service API key for a specified Organization within the Enterprise.


## OpenAPI

````yaml /v2-openapi.yaml POST /v2/enterprise/api-keys
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/api-keys:
    post:
      tags:
        - api-keys
      summary: Provision Service Api Key Endpoint
      description: Provision a service API key for an organization in the enterprise.
      operationId: provision_service_api_key_endpoint_v2_enterprise_api_keys_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceKeyRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceKeyResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ServiceKeyRequest:
      properties:
        org_id:
          title: Org Id
          type: string
      required:
        - org_id
      title: ServiceKeyRequest
      type: object
    ServiceKeyResponse:
      properties:
        api_key:
          title: Api Key
          type: string
        org_id:
          title: Org Id
          type: string
      required:
        - api_key
        - org_id
      title: ServiceKeyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````